# $Revision: 1.88 $, $Date: 2010/07/29 08:38:13 $
# TODO: Check if really v 4.5 is python 2.5 compatible, if so,
#    kill python2.5.patch

Summary:	Python bindings generator for C++ class libraries
Summary(pl.UTF-8):	Generator powiązań Pythona z bibliotekami klas C++
Name:		sip
Version:	4.10.5
Release:	1
Epoch:		2
License:	redistributable (see LICENSE)
Group:		Development/Languages/Python
Source0:	http://www.riverbankcomputing.com/static/Downloads/sip4/sip-%{version}.tar.gz
# Source0-md5:	0a591ef6e59aa16e56822d3eb9fe21b8
URL:		http://www.riverbankcomputing.com/software/sip/
# Patch0:		%{name}-python2.5.patch
BuildRequires:	libstdc++-devel
BuildRequires:	python-devel >= 2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sipfilesdir	%{_datadir}/sip

%description
Generates Python bindings for C++ class libraries from a set of class
specification files.

%description -l pl.UTF-8
Generuje powiązania Pythona z bibliotekami klas C++ ze zbioru plików
ze specyfikacjami klas.

%package -n python-sip
Summary:	Python module needed by generated bindings
Summary(pl.UTF-8):	Moduł Pythona wymagany przez wygenerowane powiązania
Group:		Libraries/Python
%pyrequires_eq	python-libs

%description -n python-sip
Generates Python bindings for C++ class libraries from a set of class
specification files. This package includes runtime library needed by
all generated bindings.

%description -n python-sip -l pl.UTF-8
Generuje powiązania Pythona z bibliotekami klas C++ ze zbioru plików
ze specyfikacjami klas. Ten pakiet zawiera bibliotekę potrzebną do
uruchomienia wszystkich wygenerowanych powiązań.

%package -n python-sip-devel
Summary:	Development files needed to build bindings
Summary(pl.UTF-8):	Pliki programistyczne potrzebne do budowania powiązań
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python-devel >= 2.3
%pyrequires_eq	python-libs

%description -n python-sip-devel
Development files needed to build bindings for C++ classes.

%description -n python-sip-devel -l pl.UTF-8
Pliki programistyczne potrzebne do budowania powiązań z klasami C++.

%prep
%setup -q
#%%patch0 -p1

%build
# configure.py notes:
# - macros overrides must be last
# - cannot pass CXXFLAGS+="%{rpmcflags}" or so - builtin -O2 overrides rpmcflags
python configure.py \
	-b %{_bindir} \
	-e %{py_incdir} \
	-v %{_sipfilesdir} \
	-d %{py_sitedir} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcxxflags}" \
	LINK="%{__cxx}" \
	LINK_SHLIB="%{__cxx}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sipfilesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README doc/*
%attr(755,root,root) %{_bindir}/*

%files -n python-sip
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/sip.so
%dir %{_sipfilesdir}

%files -n python-sip-devel
%defattr(644,root,root,755)
%{py_sitedir}/sip*.py
%{py_incdir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sip.spec,v $
Revision 1.88  2010/07/29 08:38:13  witekfl
- up to 4.10.5

Revision 1.87  2010/07/13 06:51:48  matkor
- Version 4.10.3-1.

Revision 1.86  2010/07/08 10:43:23  arekm
- release 2

Revision 1.85  2010/04/21 13:52:49  matkor
- Version 4.10.2-1.

Revision 1.84  2010/03/20 13:34:15  charles
- updated md5

Revision 1.83  2010/03/20 09:52:32  matkor
- Version 4.10.1-1.

Revision 1.82  2010/01/17 20:28:03  arekm
- up to 4.10

Revision 1.81  2009/12/10 21:54:20  cactus
- up to 4.9.3 - bugfix release

Revision 1.80  2009/10/02 17:23:34  rotom
- up to 4.9

Revision 1.79  2009/08/29 11:25:22  pluto
- move _sipfilesdir to main package, release 2.

Revision 1.78  2009/08/05 19:06:42  witekfl
- up to 4.8.2

Revision 1.77  2009/06/16 18:00:56  charles
- updated to 4.8.1

Revision 1.76  2009/06/11 06:10:07  cactus
- up to 4.8; rel 1

Revision 1.75  2009/05/30 21:54:34  cactus
- up to 4.8 snapshot 20090529

Revision 1.74  2009/03/13 20:07:13  hawk
- release 2

Revision 1.73  2008/11/18 09:49:56  charles
- updated to 4.7.9

Revision 1.72  2008/10/05 09:04:32  arekm
- rel 2

Revision 1.71  2008/08/09 07:12:11  charles
- updated to 4.7.7

Revision 1.70  2008/05/22 09:53:50  twittner
- up to 4.7.6

Revision 1.69  2008-02-15 01:40:53  glen
- release 2

Revision 1.68  2007-12-06 15:14:17  rotom
- up to 4.7.3

Revision 1.67  2007-11-11 12:35:40  arekm
- up to 4.7.1

Revision 1.66  2007/07/31 17:56:39  twittner
- up to 4.7

Revision 1.65  2007/04/11 01:10:33  shadzik
- 4.6

Revision 1.64  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.63  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.62  2006/12/10 18:31:43  matkor
- Autoupdated to bugfix version 4.5.2. Release 1.

Revision 1.61  2006/11/14 08:38:04  matkor
- Release 1. STBR for Ac.

Revision 1.60  2006/11/06 09:38:26  matkor
- Version 4.5-0.1. Builds in Ac. Check if it really works with py 2.5 needed.

Revision 1.59  2006/09/25 10:25:07  rotom
- updated to 4.4.5
- python2.5 patch added

Revision 1.58  2006/06/09 10:47:56  matkor
- sip-4.4.4-1. Bugfix release but needed for recent PyQt v4.

Revision 1.57  2006/05/08 18:25:49  pluto
- tab.

Revision 1.56  2006/05/08 14:10:56  matkor
- Merged with AC-branch

Revision 1.55.2.1  2006/05/08 14:08:20  matkor
- Release 2. Fix for amd64.

Revision 1.55  2006/04/27 09:54:07  matkor
- Autoupdated to 4.4.3-1.

Revision 1.54  2006/04/24 16:23:53  charles
- updated to 4.4.2

Revision 1.53  2006/04/03 20:40:16  charles
- updated to 4.4.1

Revision 1.52  2006/02/15 09:18:01  glen
- revert adapter change

Revision 1.51  2006/02/15 07:13:44  charles
- proper package name: python-sip-devel instead of sip-devel

Revision 1.50  2006/02/15 05:50:28  charles
- new packages -devel and python-sip
- rel. 2

Revision 1.49  2006/02/13 12:07:30  charles
- moved optflags to configure (important, since are saved in sipconfig.py)
- simplified %build

Revision 1.48  2005/11/15 00:19:06  charles
- updated to 4.3.2
- STBR (+ qscintilla) for new PyQt

Revision 1.47  2005/09/19 14:40:55  charles
- updated to 4.3.1
- BR rpm-pythonprov is back
- BR/R python-devel up to >= 2.3

Revision 1.46  2005/04/26 19:05:27  pluto
- R: += python-devel. sip needs python includedir for sip.h.

Revision 1.45  2005/03/06 23:27:42  charles
- updated to 4.2.1
- rm obsolete BR: rpm-pythonprov

Revision 1.44  2005/02/20 14:43:22  charles
- updated to 4.2
- other License

Revision 1.43  2004/12/24 13:49:44  troll
- proper package required by %pyrequires_eq
- cosmetics
- rel 2 to rebuild with Python 2.4

Revision 1.42  2004/10/31 17:00:40  paladine
- spaces->tabs
- formatting

Revision 1.41  2004/10/12 13:29:28  matkor
- Version 4.1.1.

Revision 1.40  2004/07/28 08:03:20  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.39  2004/07/07 15:34:35  qboosh
- updated to 4.0.1

Revision 1.38  2004/06/24 17:04:44  qboosh
- Epoch back to 2

Revision 1.37  2004/06/24 14:01:08  zboczuch
- version 4.0

Revision 1.36  2004/05/26 17:13:22  zboczuch
- ver. 3.10.2

Revision 1.35  2004/03/12 10:52:52  matkor
- Version 2:3.10.1-1

Revision 1.34  2004/03/02 21:09:54  qboosh
- pass LIBDIR_X11 (needed for lib64 support too)
- pass CC,CFLAGS in siplib (there are some plain C files)
- added missing _REENTRANT in siplib
- release .7

Revision 1.33  2004/03/01 13:16:53  qboosh
- pass LIBDIR_QT for lib64 support
- override CC/CXX/*FLAGS for optflags support
- release .6

Revision 1.32  2004/02/28 14:18:51  qboosh
- unifications, revised TODO

Revision 1.31  2004/02/28 12:32:28  matkor
- Release 5. Enabled Qt (silently disabled by not specifing QTDIR. BR: tmake. Added TODO

Revision 1.30  2004/02/28 11:42:46  matkor
- Release 4. Fixed build process (configure.py used instead of build.py).

Revision 1.29  2004/02/27 14:23:00  qboosh
- BR, not R sed 4.0; clean buildroot before use (still in wrong place!)

Revision 1.28  2004/02/27 13:55:54  matkor
- Release 3. Removed RPM_BUILD_ROOT from config paths. Hope it's enough.

Revision 1.27  2004/02/26 16:30:42  matkor
- Release 2. Dirty hack in installing sipconfig.py

Revision 1.26  2004/02/26 15:26:13  matkor
- Version 3.11 snap 20040218. Release 1.

Revision 1.25  2004/02/21 11:34:04  djurban
- mixed install and build (due to know qmake design idiotism, ill fix on
  summer holidays)

Revision 1.24  2004/01/02 18:03:42  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.23  2004/01/01 12:06:05  jajcus
- pass libdir to build.py (AMD64 fix)

Revision 1.22  2003/08/17 22:59:41  luzik
- updated to 3.8

Revision 1.21  2003/07/17 08:49:51  qboosh
- merged updates (sic) from RA-branch (but up to 3.7)

Revision 1.20  2003/05/28 13:01:52  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:26:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/02/26 11:58:38  qboosh
- restored changelog lost on update
- use py_* macros (build not fully tested - requires qt in /usr)

Revision 1.17  2003/02/26 12:51:17  ankry
- fixed src URL

Revision 1.16  2003/02/25 22:42:03  misiek
- updates by Maciej Świniarski (luzik) <luzik@ds.pg.gda.pl>

Revision 1.15  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.14  2002/07/09 21:10:38  dobrek
- Upgraded to 3.3

Revision 1.13  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:14:43  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/05/01 08:24:05  kloczek
- added full regenerate ac/am/lt files in %build.

Revision 1.10  2002/04/28 09:24:18  misiek
- compile with qt support

Revision 1.9  2002/04/27 22:34:35  misiek
- updated to 3.1

Revision 1.8  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:54  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/12 19:46:50  blues
- configure macro used

Revision 1.4  2001/12/03 20:13:41  djrzulf
- updated to 3.0,

Revision 1.3  2001/11/23 14:06:59  qboosh
- changed Copyright to License: BSD-like (NOTE: 3.0 available; docs are missing from package)

Revision 1.2  2001/11/23 13:55:44  qboosh
- some fixes in %files; TODO: separate -static?

Revision 1.1  2001/11/09 22:57:14  fastviper
- Added polish description, corrected original spec with adapter.awk
